## quick-system-info-gui 22.08.02mx21

=== debian/changelog ===
quick-system-info-gui (22.08.02mx21) mx; urgency=medium

  * hide code tags 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 08 Aug 2022 23:36:29 -0400

quick-system-info-gui (22.08.01mx21) mx; urgency=medium

  * initial build 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 7 Aug 2022 10:44:43 -0500

## quick-system-info-gui 22.08.04mx21

=== debian/changelog ===
quick-system-info-gui (22.08.04mx21) mx; urgency=medium

  * make control+C copy the whole report
  * prevent selecting of partial report
  * set accelerator key for button (alt+c also works)
  * make copy button default 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Aug 2022 15:08:10 -0400

quick-system-info-gui (22.08.03mx21) mx; urgency=medium

  * add help and license 
  * allow better window resizing
  * eliminate a few blank lines from display

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 09 Aug 2022 22:14:50 -0400

## quick-system-info-gui 22.08.05mx21

=== debian/changelog ===
quick-system-info-gui (22.08.05mx21) mx; urgency=medium

  *  fix blank space in http: characters

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Aug 2022 19:45:29 -0400

## quick-system-info-gui 22.10.08mx21

=== debian/changelog ===
quick-system-info-gui (22.10.08mx21) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Oct 2022 23:49:17 -0400

quick-system-info-gui (22.10.07mx21) mx; urgency=medium

  [AK-47]
  * show busy cursor at launch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Oct 2022 00:02:47 -0400

quick-system-info-gui (22.10.06mx21) mx; urgency=medium

  [AK-47]
  * Ui improvements

  [Dolphin]
  * update help file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 14 Oct 2022 21:47:19 -0400

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease quick-system-info-gui.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel

## quick-system-info-gui 25.09.02

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25 FATAL_ERROR)
include(build.cmake)

project(quick-system-info-gui
	VERSION 3.0
	DESCRIPTION "Quick System Info - A utility to show quick-system-info (inxi, etc...) in a gui"
	LANGUAGES CXX
)

find_package(Qt6 6.4 REQUIRED COMPONENTS Core Gui Widgets LinguistTools)

set(CMAKE_CXX_STANDARD 17)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

qt_standard_project_setup()

qt_add_executable(quick-system-info-gui
	main.cpp
	about.cpp about.h
	mainwindow.cpp mainwindow.h mainwindow.ui
	qsi_resource.qrc
)

target_link_libraries(quick-system-info-gui PRIVATE
	Qt::Core
	Qt::Gui
	Qt::Widgets
	archive
)

build_compilation_setup(quick-system-info-gui)
build_version_definition(quick-system-info-gui VERSION)
build_translation_files(quick-system-info-gui translations)

include(GNUInstallDirs)
install(TARGETS quick-system-info-gui
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

## quick-system-info-gui 22.10.09mx21

=== debian/changelog ===
quick-system-info-gui (22.10.09mx21) mx; urgency=medium

  * fix license button

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 23 Oct 2022 09:49:16 -0400

=== debian/control ===
Source: quick-system-info-gui
Section: admin
Priority: optional
Maintainer: dolphin oracle <dolphinoracle@gmail.com>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: quick-system-info-gui
Architecture: any
Depends: mx-goodies (>= 22.08.02), ${misc:Depends}, ${shlibs:Depends}
Description: A utility to show quick-system-info (inxi, etc...) in a gui

## quick-system-info-gui 22.10.010mx21

=== debian/changelog ===
quick-system-info-gui (22.10.010mx21) mx; urgency=medium

  * translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:11:49 -0400

## quick-system-info-gui 23.02.05mx21

=== debian/changelog ===
quick-system-info-gui (23.02.05mx21) mx; urgency=medium

  * widen search for logs 
  * don't show logs of 0 size

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 03 Feb 2023 20:01:51 -0500

quick-system-info-gui (23.02.04mx21) mx; urgency=medium

  * include missing lib 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 03 Feb 2023 06:37:25 -0500

quick-system-info-gui (23.02.03mx21) mx; urgency=medium

  * add message to policy file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 02 Feb 2023 22:21:46 -0500

quick-system-info-gui (23.02.02mx21) mx; urgency=medium

  * show shortcut keys on right-click menu 
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 01 Feb 2023 23:10:26 -0500

quick-system-info-gui (23.02.01mx21) mx; urgency=medium

  * add log viewer  
  * adjust depends 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 01 Feb 2023 19:35:38 -0500

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 Package: quick-system-info-gui
 Architecture: any
-Depends: mx-goodies (>= 22.08.02), ${misc:Depends}, ${shlibs:Depends}
+Depends: mx-goodies (>= 22.08.02), grep, inxi, ${misc:Depends}, ${shlibs:Depends}
 Description: A utility to show quick-system-info (inxi, etc...) in a gui

## quick-system-info-gui 23.02.06

=== debian/changelog ===
quick-system-info-gui (23.02.06) mx; urgency=medium

  * mx-launcher-l10n strings in policy file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 12 May 2023 22:18:25 -0400

=== debian/control ===
--- 
+++ 
@@ -8,4 +8,5 @@
 Package: quick-system-info-gui
 Architecture: any
 Depends: mx-goodies (>= 22.08.02), grep, inxi, ${misc:Depends}, ${shlibs:Depends}
+Recommends:  mx-launcher-l10n
 Description: A utility to show quick-system-info (inxi, etc...) in a gui

## quick-system-info-gui 23.02.07

=== debian/changelog ===
quick-system-info-gui (23.02.07) mx; urgency=medium

  * new dual-pane report and log viewer paradigm
  * save multiple reports into a compressed archive file
  * update help
  * update build depends

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 09 Jun 2023 20:00:39 -0400

## quick-system-info-gui 23.06.03

=== debian/changelog ===
quick-system-info-gui (23.06.03) mx; urgency=medium

  * revert to using quick-system-info-mx script

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 10 Jun 2023 17:09:28 -0400

quick-system-info-gui (23.06.02) mx; urgency=medium

  * remove depend on mx-goodies
  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 10 Jun 2023 15:14:26 -0400

quick-system-info-gui (23.06.01) mx; urgency=medium

  [chkboom]
  * Add open folder option to save message box.
  * Make the save dialog default to the home folder.
  * UI file cleanup. Fixed spacers. 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 09 Jun 2023 23:15:09 -0400

## quick-system-info-gui 23.06.04

=== debian/changelog ===
quick-system-info-gui (23.06.04) mx; urgency=medium

  * updated help
  * updated translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 11 Jun 2023 18:07:03 -0400

## quick-system-info-gui 23.07.01

=== debian/changelog ===
quick-system-info-gui (23.07.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 09 Jul 2023 00:20:03 -0400

## quick-system-info-gui 23.07.02

=== debian/changelog ===
quick-system-info-gui (23.07.02) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 18 Jul 2023 22:59:48 -0400

## quick-system-info-gui 23.07.03

=== debian/changelog ===
quick-system-info-gui (23.07.03) mx; urgency=medium

  * only show apt-history if dpkg.log exists

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 19 Jul 2023 19:32:56 -0400

## quick-system-info-gui 23.07.04

=== debian/changelog ===
quick-system-info-gui (23.07.04) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 20 Jul 2023 19:57:12 -0400

## quick-system-info-gui 23.08.01

=== debian/changelog ===
quick-system-info-gui (23.08.01) mx; urgency=medium

  * Qt file object adjustmen
  * mark gui constructor noexcept
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 19 Aug 2023 22:38:48 -0400

## quick-system-info-gui 23.09.01

=== debian/changelog ===
quick-system-info-gui (23.09.01) mx; urgency=medium

  * update desktop file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 04 Sep 2023 14:07:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 override_dh_auto_build:
 	lrelease quick-system-info-gui.pro
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## quick-system-info-gui 23.12.01

=== debian/changelog ===
quick-system-info-gui (23.12.01) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 09 Dec 2023 22:48:41 -0500

## quick-system-info-gui 24.03.01

=== debian/changelog ===
quick-system-info-gui (24.03.01) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Mar 2024 13:26:33 -0400

## quick-system-info-gui 24.04.01

=== debian/changelog ===
quick-system-info-gui (24.04.01) mx; urgency=medium

  * remove redundant file check so that logs in elevated directories can be read

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 05 Apr 2024 19:52:37 -0400

## quick-system-info-gui 24.12.09

=== debian/changelog ===
quick-system-info-gui (24.12.09) mx; urgency=medium

  * update translations
  * remove bogus "lastlog"

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 20 Dec 2024 19:12:25 -0500

quick-system-info-gui (24.12.08) mx; urgency=medium

  * rebuild

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 19 Dec 2024 17:46:31 -0500

quick-system-info-gui (24.12.07) mx; urgency=medium

  * check /run/log/journal/$machine-id for system/user check

 -- Dolphin Oracle <dolphin@mx>  Thu, 19 Dec 2024 14:53:17 -0500

quick-system-info-gui (24.12.06) mx; urgency=medium

  * modify system/user check

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 19 Dec 2024 08:20:46 -0500

quick-system-info-gui (24.12.05) mx; urgency=medium

  * run journalctl such that journal directory is not needed
  * if initial population of boot choices fails, run again as admin

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 18 Dec 2024 16:39:48 -0500

quick-system-info-gui (24.12.04) mx; urgency=medium

  * if journal storage is missing, default to --system mode

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 17 Dec 2024 19:14:59 -0500

quick-system-info-gui (24.12.02) mx; urgency=medium

  * modify boot listings

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 16 Dec 2024 21:57:49 -0500

quick-system-info-gui (24.12.01) mx; urgency=medium

  * test build
  * add journald viewer when users are running systemd as pid 1

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 16 Dec 2024 17:52:29 -0500

=== debian/control ===
Source: quick-system-info-gui
Section: admin
Priority: optional
Maintainer: dolphin oracle <dolphinoracle@gmail.com>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools, libarchive-dev
Standards-Version: 3.9.8

Package: quick-system-info-gui
Architecture: any
Depends: mx-goodies (>= 22.08.02), grep, inxi, libarchive13, ${misc:Depends}, ${shlibs:Depends}
Recommends:  mx-launcher-l10n
Description: A utility to show quick-system-info (inxi, etc...) in a gui

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease quick-system-info-gui.pro
+	lrelease translations/*.ts
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## quick-system-info-gui 25.08.02

=== debian/changelog ===
quick-system-info-gui (25.08.02) mx; urgency=medium

  * update build system
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 30 Aug 2025 21:48:43 -0400

quick-system-info-gui (25.08.01) mx; urgency=medium
  
  [Ak-47]
  * update build system

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 30 Aug 2025 13:04:55 -0400

quick-system-info-gui (25.04.02mx25) mx; urgency=medium

  [Ak-47]
  * Link-time optimisation, release and debug config.
  * clazy fixes.
  * Optimised Qt layouts.
  * Replace search button with QAction inside the search box.
  
 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 30 Apr 2025 20:20:32 -0400

quick-system-info-gui (25.04.01mx25) mx; urgency=medium

  * qt6

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 21 Apr 2025 21:19:15 -0400

## quick-system-info-gui 25.09.01

=== debian/changelog ===
quick-system-info-gui (25.09.01) mx; urgency=medium
  
  [ak-47]
  * Fixed Ambiguous shortcut overload: Alt+C
  *  Make Ctrl+C copy the verbatim plain text, like other apps.
  *  Changed "Copy for forum" to Ctrl+Shift+C
  [dolphin oracle]
  * hide apt-history if dpkg.log is not present or empty

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 22 Sep 2025 21:30:20 -0400

## quick-system-info-gui 25.09.02

=== debian/changelog ===
quick-system-info-gui (25.09.02) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 28 Sep 2025 10:25:31 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: dolphin oracle <dolphinoracle@gmail.com>
-Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools, libarchive-dev
+Build-Depends: debhelper-compat (=13),
+	cmake (>=3.25),
+	ninja-build (>=1.10),
+	qt6-base-dev,
+	qt6-base-dev-tools,
+	qt6-tools-dev,
+	qt6-tools-dev-tools,
+	libarchive-dev
 Standards-Version: 3.9.8
 
 Package: quick-system-info-gui

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cmake --preset default

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	cmake --build --preset default

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/quick-system-info-gui ninja -C _build_ install

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym
